Name: 	 	gpodder
Summary: 	A graphical podcast catcher
Version: 	3.9.0
Release: 	%mkrel 1
Source:		http://gpodder.org/src/%{name}-%{version}.tar.gz
URL:		http://gpodder.org/
#gw SimpleGladeApp is LGPL
License:	GPLv3+ and LGPLv2+
Group:		Networking/News
BuildArch:	noarch
BuildRequires:	python-devel
BuildRequires:	python-feedparser >= 5.0.1
BuildRequires:	python-mygpoclient
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils
BuildRequires:	help2man
BuildRequires:	intltool
Requires:	pygtk2.0 >= 2.6
Requires:	python-feedparser >= 5.0.1
Requires:	python-mygpoclient >= 1.4
Requires:	python-dbus
Recommends:	python-gpod
Recommends:	python-eyed3
# gw required for HTML show notes
Requires:	python-webkitgtk
# gw for Bluetooth support
Recommends:	bluez-utils bluez-gnome

%description
gPodder is a Podcast reciever/catcher written in Python, using GTK. It manages
podcast feeds for you and automatically downloads all podcasts from as many
feeds as you like.

%prep
%setup -q
%autopatch -p1

#drop ubuntu specific extensions
rm -rf share/gpodder/extensions/ubuntu_*.py

%install
%makeinstall_std

%find_lang %{name}

desktop-file-install --vendor="" \
  --add-category="GTK;Network;News" \
  --dir %{buildroot}%{_datadir}/applications \
		%{buildroot}%{_datadir}/applications/*

%files -f %{name}.lang
%doc README
%{_bindir}/*
%{_datadir}/dbus-1/services/org.gpodder.service
%{_datadir}/%{name}/
%{py_puresitedir}/%{name}/
%{py_puresitedir}/*.egg-info
%{_mandir}/man1/*
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/apps/gpodder.*


%changelog
* Sun Apr 17 2016 shlomif <shlomif> 3.9.0-1.mga6
+ Revision: 1003250
- New version 3.9.0

* Fri Feb 05 2016 umeabot <umeabot> 3.7.0-5.mga6
+ Revision: 936481
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.7.0-4.mga5
+ Revision: 744995
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.7.0-3.mga5
+ Revision: 726393
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.7.0-2.mga5
+ Revision: 679915
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Sun Jun 29 2014 pterjan <pterjan> 3.7.0-1.mga5
+ Revision: 640950
- 3.7.0

* Sat May 31 2014 pterjan <pterjan> 3.6.1-3.mga5
+ Revision: 628235
- Rebuild for new Python

* Fri Apr 11 2014 wally <wally> 3.6.1-2.mga5
+ Revision: 613483
- suggest python-eyed3 and python-gpod

* Fri Apr 11 2014 wally <wally> 3.6.1-1.mga5
+ Revision: 613478
- new version 3.6.1
- require python-dbus instead of suggesting it (gpodder doesn't start without python-dbus)

* Tue Oct 22 2013 umeabot <umeabot> 3.5.2-3.mga4
+ Revision: 542664
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 3.5.2-2.mga4
+ Revision: 497767
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Sep 28 2013 sander85 <sander85> 3.5.2-1.mga4
+ Revision: 488235
- New version: 3.5.2

* Sun Aug 18 2013 wally <wally> 3.5.1-1.mga4
+ Revision: 467435
- new version 3.5.1

* Sat Jan 12 2013 umeabot <umeabot> 3.2.0-3.mga3
+ Revision: 352531
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Aug 11 2012 wally <wally> 3.2.0-2.mga3
+ Revision: 280736
- drop ubuntu specific extensions
- clean .spec

* Thu Jul 26 2012 fwang <fwang> 3.2.0-1.mga3
+ Revision: 274438
- update file list
- new version 3.2.0

* Wed Jan 25 2012 fwang <fwang> 3.0.4-1.mga2
+ Revision: 201405
- new version 3.0.4

* Mon Jan 23 2012 fwang <fwang> 3.0.3-1.mga2
+ Revision: 200193
- new version 3.0.3

* Mon Jan 02 2012 fwang <fwang> 3.0.2-1.mga2
+ Revision: 189603
- new version 3.0.2

* Tue Nov 15 2011 fwang <fwang> 3.0.1-1.mga2
+ Revision: 167874
- cleanup br
- new version 3.0.1

* Fri Sep 09 2011 tv <tv> 2.18-1.mga2
+ Revision: 141788
- new release

* Tue Jul 12 2011 kharec <kharec> 2.16-1.mga2
+ Revision: 122917
- new version 2.16

* Tue Jul 05 2011 ahmad <ahmad> 2.15-3.mga2
+ Revision: 118606
- Suggest python-dbus

* Thu Jun 09 2011 ahmad <ahmad> 2.15-2.mga2
+ Revision: 102685
- Drop old/unneeded scriptlets
- imported package gpodder

